| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.ZoneCoverageOut Class Reference

Output for SwathId.zonevistimeCoverage. More...

Inheritance diagram for EECFI.ZoneCoverageOut:

List of all members.

## Public Member Functions
| ZoneCoverageOut ()
| Empty Class constructor.
| ZoneCoverageOut (double zoneA, double totalCov, double[] covPerTime, double[] covByNInt, double[] cumulCov)
| Class constructor with parameters.
## Public Attributes
double | zoneArea
| Computed area of the zone (longitude if segment zone) in km2.
double | totalCoverage
| Percentage of zone covered by all intervals, i.e. 100% - percentage of zone not covered by any interval.
double[] | coveragePerInterval
| Item with index i (0,1,2,...N-1) is the percentage of zone covered by interval i+1 (1,2,...N) only.
double[] | coverageByNIntervals
| Item with index i (0,1,2,...N-1) is the percentage of the zone covered by exactly i+1 (1,2,...N) intervals.
double[] | cumulativeCoverage
| Item index i (0,1,2,...N-1) is the percentage of zone covered by intervals 1,2...i+1 considered together.

## Detailed Description

Output for SwathId.zonevistimeCoverage.

## Constructor & Destructor Documentation

EECFI.ZoneCoverageOut.ZoneCoverageOut | ( |  | ) |

Empty Class constructor.

EECFI.ZoneCoverageOut.ZoneCoverageOut | ( | double | zoneA,
|  | double | totalCov,
|  | double[] | covPerTime,
|  | double[] | covByNInt,
|  | double[] | cumulCov |
| ) |  |  |

Class constructor with parameters.

## Member Data Documentation

double [] EECFI.ZoneCoverageOut.coverageByNIntervals

Item with index i (0,1,2,...N-1) is the percentage of the zone covered by exactly i+1 (1,2,...N) intervals.

double [] EECFI.ZoneCoverageOut.coveragePerInterval

Item with index i (0,1,2,...N-1) is the percentage of zone covered by interval i+1 (1,2,...N) only.

double [] EECFI.ZoneCoverageOut.cumulativeCoverage

Item index i (0,1,2,...N-1) is the percentage of zone covered by intervals 1,2...i+1 considered together.

double EECFI.ZoneCoverageOut.totalCoverage

Percentage of zone covered by all intervals, i.e. 100% - percentage of zone not covered by any interval.

double EECFI.ZoneCoverageOut.zoneArea

Computed area of the zone (longitude if segment zone) in km2.